My edited version Not yet rated

I edited it, this version will work with 3.6, will work up to 3.9.

http://2gv3.sl.pt